@echo off

:presetup
set GMS11_GNU_BASE_DIR=c:\ms11gnu

goto checksetup

:build
%GMS11_ASSEMBLE%    -c microstampGnu.s
%GMS11_COMPILE%     -c microstamp11.c
%GMS11_COMPILE%     -c main.c
%GMS11_COMPILE%     -c shell.c
%GMS11_COMPILE%     -c panny.c
%GMS11_COMPILE%     -c sonyIR.c
%GMS11_LINK%        -o panny.elf microstampGnu.o microstamp11.o main.o shell.o panny.o sonyIR.o
%GMS11_SREC%           panny.elf panny.s19
goto exit

:disassemble
%GMS11_DISASSEMBLE% panny.elf > panny.dissasembly.txt
notepad panny.dissasembly.txt
goto exit

:clean
erase *.s19
erase *.dissasembly.txt
erase *.elf
erase *.o
goto exit

:parsecommandline
if "%1" == ""             goto build
if "%1" == "clean"        goto clean
if "%1" == "disassemble"  goto disassemble
goto usage

:usage
echo:
echo Usage: build, build clean, or build disassemble
goto exit

:checksetup
if "%GMS11_SKIP_SETUP%"=="TRUE" goto parsecommandline
goto dosetup

:dosetup
set GMS11_SKIP_SETUP=TRUE
set Path=%GMS11_GNU_BASE_DIR%\usr\bin;%GMS11_GNU_BASE_DIR%\usr\m6811-elf\bin;%GMS11_GNU_BASE_DIR%\usr\lib\gcc-lib\m6811-elf\2.95.3;%Path%
set GMS11_ASSEMBLE=m6811-elf-gcc -x assembler-with-cpp -m68hc11 -Os
set GMS11_COMPILE=m6811-elf-gcc -m68hc11 -mshort -I. -Wall -g -Os
set GMS11_LINK=m6811-elf-gcc -N -m68hc11 -L. -Wl,-m,m68hc11elfb -Os
set GMS11_SREC=m6811-elf-objcopy -S -R .page0 -O srec
set GMS11_DISASSEMBLE=m6811-elf-objdump -D -S
goto parsecommandline

:exit
